
CoCoALib - Support #1134

Organize better the documentation for CoCoALib

04 Dec 2017 17:58 - John Abbott

Status: New Start date: 04 Dec 2017

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.35 hour

Description

So far we have (mostly) followed the guideline of documentation files corresponding 1--1 to source files.

Devise a better way to organize the documentation.

And implement it!

Related issues:

Related to CoCoALib - Support #1058: CoCoALib version in Documentation and Ex... Closed 04 May 2017

Related to CoCoALib - Support #1099: MinPolyQuot: missing doc Closed 08 Sep 2017

History

#1 - 04 Dec 2017 18:03 - John Abbott

One big disadvantage of the CoCoALib documentation compared to the CoCoA-5 documentation is the lack of "searchability" (the way that

"questionmark" works in CoCoA-5).

Currently I am favouring having "many small" source files rather than "few large" ones.  If we do follow this approach then it does not make sense to

maintain the 1--1 correspondence between source files and documentation files.

Anna points out that we have already "broken the rule" by gathering in one documentation file all functions related to RingElem even though they

appear in several different header/source files.

#2 - 04 Dec 2017 18:03 - John Abbott

- Related to Support #1058: CoCoALib version in Documentation and Examples added

#3 - 04 Dec 2017 18:15 - John Abbott

- Subject changed from Oraganize better the documentation for CoCoALib to Organize better the documentation for CoCoALib

#4 - 19 Dec 2017 07:52 - Anna Maria Bigatti

- Related to Support #1099: MinPolyQuot: missing doc added

#5 - 12 Jun 2018 18:27 - John Abbott

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#6 - 09 Apr 2019 10:50 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-1.0

I am postponing this issue.  Even though I think it is important, it is likely to need a lot of time; anyway, the documentation does exist and is

searchable (if you know how to use grep).  Also, we need to have a good idea how to improve the situation.  It'd be nice to have a volunteer to do the

work too ;-)
